import 'package:apus_drones_mobile/constants/UserType.dart';
import 'package:apus_drones_mobile/screens/PartnerOrdersScreen.dart';
import 'package:apus_drones_mobile/screens/clients/ListOfPartners.dart';
import 'package:flutter/material.dart';

Widget getRoleHomeScreen(UserType role) {
  switch (role) {
    case UserType.CUSTOMER:
      return ListOfPartners();
    case UserType.PARTNER:
      return PartnerOrdersScreen();
    case UserType.PILOT:
      throw new Exception('Não há telas para o piloto ainda');
    default:
      throw new Exception('Tipo de usuário desconhecido');
  }
}
